import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

export const API_URL_VAT_RETURN = {
  vatReturnTaxInvoice: () => {
    // POST: 세금계산서 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/vat-return/tax-invoice`;
  },
  vatReturnReferenceRequest: () => {
    // POST: 부가세 참고자료 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/vat-return/reference-request`;
  },
  vatReturnList: () => {
    // POST: 세금계산서 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/vat-return/list`;
  },
  vatReturnDetail: () => {
    // POST: 세금계산서 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/vat-return/detail`;
  },
  vatReturnBreakdown: () => {
    // POST: 세금계산서 세부내역 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/vat-return/breakdown`;
  }
};